# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class GcmCredentialProperties(Model):
    """
    Description of a NotificationHub GcmCredential.

    :param gcm_endpoint: Gets or sets the GCM endpoint.
    :type gcm_endpoint: str
    :param google_api_key: Gets or sets the Google API key.
    :type google_api_key: str
    """ 

    _attribute_map = {
        'gcm_endpoint': {'key': 'gcmEndpoint', 'type': 'str'},
        'google_api_key': {'key': 'googleApiKey', 'type': 'str'},
    }

    def __init__(self, gcm_endpoint=None, google_api_key=None):
        self.gcm_endpoint = gcm_endpoint
        self.google_api_key = google_api_key
